Skip to main content
GET
/
api
/
v1
/
matchable_attributes
Lists custom :ref:`ref_flyteidl.admin.MatchableAttributesConfiguration` for a
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/matchable_attributes
{
  "configurations": [
    {
      "attributes": {
        "task_resource_attributes": {
          "defaults": {
            "cpu": "<string>",
            "gpu": "<string>",
            "memory": "<string>",
            "storage": "<string>",
            "ephemeral_storage": "<string>"
          },
          "limits": {
            "cpu": "<string>",
            "gpu": "<string>",
            "memory": "<string>",
            "storage": "<string>",
            "ephemeral_storage": "<string>"
          }
        },
        "cluster_resource_attributes": {
          "attributes": {}
        },
        "execution_queue_attributes": {
          "tags": [
            "<string>"
          ]
        },
        "execution_cluster_label": {
          "value": "<string>"
        },
        "quality_of_service": {
          "tier": "UNDEFINED",
          "spec": {
            "queueing_budget": "<string>"
          }
        },
        "plugin_overrides": {
          "overrides": [
            {
              "task_type": "<string>",
              "plugin_id": [
                "<string>"
              ],
              "missing_plugin_behavior": "FAIL"
            }
          ]
        },
        "workflow_execution_config": {
          "max_parallelism": 123,
          "security_context": {
            "run_as": {
              "iam_role": "<string>",
              "k8s_service_account": "<string>",
              "oauth2_client": {
                "client_id": "<string>",
                "client_secret": {
                  "group": "<string>",
                  "group_version": "<string>",
                  "key": "<string>",
                  "mount_requirement": "ANY",
                  "env_var": "<string>"
                }
              },
              "execution_identity": "<string>"
            },
            "secrets": [
              {
                "group": "<string>",
                "group_version": "<string>",
                "key": "<string>",
                "mount_requirement": "ANY",
                "env_var": "<string>"
              }
            ],
            "tokens": [
              {
                "name": "<string>",
                "type": "CLIENT_CREDENTIALS",
                "client": {
                  "client_id": "<string>",
                  "client_secret": {
                    "group": "<string>",
                    "group_version": "<string>",
                    "key": "<string>",
                    "mount_requirement": "ANY",
                    "env_var": "<string>"
                  }
                },
                "idp_discovery_endpoint": "<string>",
                "token_endpoint": "<string>"
              }
            ]
          },
          "raw_output_data_config": {
            "output_location_prefix": "<string>"
          },
          "labels": {
            "values": {}
          },
          "annotations": {
            "values": {}
          },
          "interruptible": true,
          "overwrite_cache": true,
          "envs": {
            "values": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ]
          },
          "execution_env_assignments": [
            {
              "node_ids": [
                "<string>"
              ],
              "task_type": "<string>",
              "execution_env": {
                "name": "<string>",
                "type": "<string>",
                "extant": {},
                "spec": {},
                "version": "<string>"
              }
            }
          ]
        },
        "cluster_assignment": {
          "cluster_pool_name": "<string>"
        }
      },
      "domain": "<string>",
      "project": "<string>",
      "workflow": "<string>",
      "launch_plan": "<string>",
      "org": "<string>"
    }
  ]
}

Query Parameters

resource_type
enum<string>
default:TASK_RESOURCE

+required

  • TASK_RESOURCE: Applies to customizable task resource requests and limits.
  • CLUSTER_RESOURCE: Applies to configuring templated kubernetes cluster resources.
  • EXECUTION_QUEUE: Configures task and dynamic task execution queue assignment.
  • EXECUTION_CLUSTER_LABEL: Configures the K8s cluster label to be used for execution to be run
  • QUALITY_OF_SERVICE_SPECIFICATION: Configures default quality of service when undefined in an execution spec.
  • PLUGIN_OVERRIDE: Selects configurable plugin implementation behavior for a given task type.
  • WORKFLOW_EXECUTION_CONFIG: Adds defaults for customizable workflow-execution specifications and overrides.
  • CLUSTER_ASSIGNMENT: Controls how to select an available cluster on which this execution should run.
Available options:
TASK_RESOURCE,
CLUSTER_RESOURCE,
EXECUTION_QUEUE,
EXECUTION_CLUSTER_LABEL,
QUALITY_OF_SERVICE_SPECIFICATION,
PLUGIN_OVERRIDE,
WORKFLOW_EXECUTION_CONFIG,
CLUSTER_ASSIGNMENT
org
string

Optional, org filter applied to list project requests.

Response

A successful response.

configurations
object[]